Perbaiki Kesalahan: Instalasi PHP Anda tampaknya tidak memiliki ekstensi MySQL yang diperlukan oleh WordPress

"Instalasi PHP Anda tampaknya tidak memiliki ekstensi MySQL yang diperlukan oleh WordPress"Adalah kesalahan yang dimiliki oleh banyak pemilik blog dan situs web WordPress.
Ini bukan alasan untuk khawatir. Kurangnya ekstensi MySQL dari PHP adalah tipikal sistem operasi yang diinstal dari awal, VPS atau server khusus, di mana ekstensi PHP bukan bagian dari paket instalasi. Masalah ini ada pada keduanya Ubuntu dan CentOS. Dalam skenario ini, masalahnya diselesaikan dengan sangat sederhana dengan pembaruan PHP dan pemasangan modul "php-mysql".
Perbarui PHP dan instal ekstensi MySQL di Ubuntu

apt-get update
apt-get install php-mysql

Perbarui PHP dan instal ekstensi MySQL di CentOS

yum update
yum install php70w-mysql

Setelah langkah ini, restart layanan Apache atau nginx.

Saya juga menemui skenario di mana meskipun ekstensi MySQL ada di PHP, sebuah blog yang dibuat di WordPress menampilkan kesalahan "Instalasi PHP Anda tampaknya tidak memiliki ekstensi MySQL yang diperlukan oleh WordPress". Sebagian besar waktu, kesalahan terjadi ketika menginstal WordPress. Namun kali ini, dia muncul di sebuah blog yang telah aktif selama beberapa tahun.
Dalam situasi ini, saya menemukan bahwa masalahnya bukan modul PHP, tetapi versi WordPress yang sangat lama, yang tidak lagi kompatibel dengan PHP 7.4.4RC1. Upgrade WordPress sederhana ke versi terbaru menyelesaikan kesalahan.

Perbaiki Kesalahan: Instalasi PHP Anda tampaknya tidak memiliki ekstensi MySQL yang diperlukan oleh WordPress

Tentang Penulis

Stealth

Bergairah tentang segala hal yang berarti gadget dan IT, saya menulis dengan senang hati di stealthsettings.com dari 2006 dan saya senang menemukan hal-hal baru dengan Anda tentang komputer dan macOS, sistem operasi Linux, Windows, iOS dan Android.

Tinggalkan Komentar